<?php $r="../";
require_once($r."inc/funciones.php");
$mysqli = connectDB($r);


function mensage($title,$msn,$tipo,$reload = 0,$modal = 0){
    $response = '<div class="alert alert-'.$tipo.' alert-dismissible fade show" role="alert">  <strong>'.$title.'</strong><br/> '.$msn.'  <button type="button" class="close" data-dismiss="alert" aria-label="Close">    <span aria-hidden="true">&times;</span>  </button></div>';
    if($reload){
        $response .= "<script>setTimeout(function(){   window.location.reload(1);}, 5000);</script>";
    }
    if($modal){
        $response .= "<script>$('.modal').modal('hide');</script>";
    }
    return $response;
}

if(isset($_POST['actionprecios'])){
    if(isset($_POST['final']) && empty($_POST['final'])){
        echo mensage('ATENCIÓN','Debes agregar el porcentaje de ganancia del precio final.','warning');
        exit();
    }    
    $final = $_POST['final'];
    if(isset($_POST['comercailizador']) && empty($_POST['comercailizador'])){
        echo mensage('ATENCIÓN','Debes agregar el porcentaje de ganancia del precio comercializador.','warning');
        exit();
    }
    $comercailizador = $_POST['comercailizador'];
    if(isset($_POST['web']) && empty($_POST['web'])){
        echo mensage('ATENCIÓN','Debes agregar el porcentaje de ganancia del precio web.','warning');
        exit();
    }
    $web = $_POST['web'];
    
    $result = $mysqli->query("UPDATE `config_precios` SET `precio_final`='$final', `precio_comercializador`='$comercailizador', `precio_web`='$web' WHERE id=1");

    if ($result) {
        echo mensage('ÉXITO', '¡Tus datos han sido guardados exitosamente!', 'success', 1,1);
        exit();
    } else {
        echo mensage('ERROR', 'Hubo un problema al guardar los datos. Por favor, intenta nuevamente.', 'danger');
        exit();
    }
}

if(isset($_POST['actionpresent'])){
    
    $presentacion = trim($_POST['presentacion']);
    if(empty($presentacion)){
        echo mensage('ATENCIÓN', 'Debes agregar el nombre de la presentación.', 'warning');
        exit();
    }
    
    $unidades = trim($_POST['unidades']);
    if(empty($unidades)){
        echo mensage('ATENCIÓN', 'Debes agregar las unidades en kilogramos de la presentación.', 'warning');
        exit();
    }
    
    $ganancia = trim($_POST['ganancia']);
    if(empty($ganancia) && $ganancia != 0){
        echo mensage('ATENCIÓN', 'Debes agregar el porcentaje de ganancia del presentación.', 'warning');
        exit();
    }
    
    $unidad = trim($_POST['unidad']);
    if(empty($unidad)){
        echo mensage('ATENCIÓN', 'Debes agregar la unidad de medida principal de la presentacion.', 'warning');
        exit();
    }
    
    if(empty($_POST['actionpresent'])){
        $sql1 = $mysqli->query("SELECT * FROM `z_presentaciones_productos` WHERE `presentacion` LIKE '$presentacion'");
        if ($sql1->num_rows > 0) {
            echo mensage('ERROR', 'Ya se encuentra registrada una presentación con ese nombre.', 'warning');
            exit();
        } 
        
        $result = $mysqli->query("INSERT INTO `z_presentaciones_productos`( `presentacion`, `cantidad`, `ganancia`, `unidad`) VALUES ('$presentacion','$unidades','$ganancia','$unidad')");
        if ($result) {
            echo mensage('ÉXITO', '¡Tus datos han sido guardados exitosamente!', 'success', 1,1);
            exit();
        } else {
            echo mensage('ERROR', 'Hubo un problema al guardar los datos. Por favor, intenta nuevamente.', 'danger');
            exit();
        }
    }else{
        
        $idpresentacion = $_POST['actionpresent'];
        
        $sql1 = $mysqli->query("SELECT * FROM `z_presentaciones_productos` WHERE `presentacion` LIKE '$presentacion' AND id!=$idpresentacion");
        if ($sql1->num_rows > 0) {
            echo mensage('ERROR', 'Ya se encuentra registrada una presentación con ese nombre.', 'warning');
            exit();
        } 
        $result = $mysqli->query("UPDATE `z_presentaciones_productos` SET `presentacion`='$presentacion',`cantidad`='$unidades',`ganancia`='$ganancia',`unidad`='$unidad' WHERE `id`='$idpresentacion'");

        if ($result) {
            echo mensage('ÉXITO', '¡Tus datos han sido guardados exitosamente!', 'success', 1,1);
            exit();
        } else {
            echo mensage('ERROR', 'Hubo un problema al guardar los datos. Por favor, intenta nuevamente.', 'danger');
            exit();
        }
        exit();
    }
}